# mkAppleOpenSourceDownload

You can search and download the source code on "opensource.apple.com" based on keywords

![](https://github.com/mythkiven/tmp/blob/master/resource/img/python/mkAppleOpenSourceDownload.png)

### Installation：

```
$ pip install mkAppleOpenSourceDownload
# update
pip install --upgrade mkAppleOpenSourceDownload
```

### Usage：

```
$ aosdownload dyld
# or
$ aosdownload dyld  -p '~/runtime'
```

### SourceCode:

>Included source code is as follows

```
│   ├── Apple16X50Serial
│   ├── Apple3Com3C90x
│   ├── AppleAC97Audio
│   ├── AppleADBButtons
│   ├── AppleADBDisplay
│   ├── AppleADBKeyboard
│   ├── AppleADBMouse
│   ├── AppleAPIC
│   ├── AppleBCM440XEthernet
│   ├── AppleBMacEthernet
│   ├── AppleCore99NVRAM
│   ├── AppleCore99PE
│   ├── AppleCuda
│   ├── AppleDP83816Ethernet
│   ├── AppleFan
│   ├── AppleFileSystemDriver
│   ├── AppleFlashNVRAM
│   ├── AppleGMACEthernet
│   ├── AppleGPIO
│   ├── AppleGenericPCATA
│   ├── AppleGracklePCI
│   ├── AppleHWSensor
│   ├── AppleHeathrow
│   ├── AppleI2C
│   ├── AppleI2S
│   ├── AppleI386GenericPlatform
│   ├── AppleI386PCI
│   ├── AppleIntel8255x
│   ├── AppleIntelAC97Driver
│   ├── AppleIntelPIIXATA
│   ├── AppleK2SATA
│   ├── AppleK2SATARoot
│   ├── AppleKauaiATA
│   ├── AppleKeyLargo
│   ├── AppleKeyswitch
│   ├── AppleKiwiATA
│   ├── AppleKiwiRoot
│   ├── AppleMESH
│   ├── AppleMPIC
│   ├── AppleMTRRSupport
│   ├── AppleMacRISC2PE
│   ├── AppleMacRISC4PE
│   ├── AppleMacRiscPCI
│   ├── AppleMediaBay
│   ├── AppleOnboardAudio
│   ├── AppleOnboardPCATA
│   ├── ApplePCCard16ATA
│   ├── ApplePCCardATA
│   ├── ApplePS2Controller
│   ├── ApplePS2Keyboard
│   ├── ApplePS2Mouse
│   ├── ApplePS2Trackpad
│   ├── AppleRAID
│   ├── AppleRS232Serial
│   ├── AppleRTL8139Ethernet
│   ├── AppleSCCSerial
│   ├── AppleSMBIOS
│   ├── AppleSym8xx
│   ├── AppleTalk
│   ├── AppleThermal
│   ├── AppleUSBCDCDriver
│   ├── AppleUSBIrDA
│   ├── AppleUSBProKeyboard
│   ├── AppleVIA
│   ├── AppleVIAATA
│   ├── AvailabilityVersions
│   ├── BerkeleyDB
│   ├── BootCache
│   ├── BootX
│   ├── CF
│   ├── CFNetwork
│   ├── CMD646ATA
│   ├── CPAN
│   ├── CPANInternal
│   ├── CarbonHeaders
│   ├── ChatServer
│   ├── Chess
│   ├── CommonCrypto
│   ├── CoreOSMakefiles
│   ├── CrackLib
│   ├── Csu
│   ├── CyrusIMAP
│   ├── DSAgent
│   ├── DSLDAPPlugIn
│   ├── DSLDAPv3PlugIn
│   ├── DSNISPlugin
│   ├── DSNSLPlugins
│   ├── DSPasswordServerPlugin
│   ├── DSTools
│   ├── DarwinInstaller
│   ├── DarwinTools
│   ├── DirectoryService
│   ├── DiskArbitration
│   ├── DynamicPowerStep
│   ├── FastCGI
│   ├── FirewallTool
│   ├── Git
│   ├── HTTPServer
│   ├── HeathrowATA
│   ├── Heimdal
│   ├── ICU
│   ├── IOACPIFamily
│   ├── IOADBFamily
│   ├── IOATABlockStorage
│   ├── IOATAFamily
│   ├── IOATAPIProtocolTransport
│   ├── IOAudioFamily
│   ├── IOBDStorageFamily
│   ├── IOCDStorageFamily
│   ├── IODVDStorageFamily
│   ├── IOFWDVComponents
│   ├── IOFireWireAVC
│   ├── IOFireWireFamily
│   ├── IOFireWireIP
│   ├── IOFireWireSBP2
│   ├── IOFireWireSerialBusProtocolTransport
│   ├── IOGraphics
│   ├── IOHIDFamily
│   ├── IOI2CFamily
│   ├── IOKitTools
│   ├── IOKitUser
│   ├── IONetworkingFamily
│   ├── IOPCCardFamily
│   ├── IOPCIFamily
│   ├── IOSCSIArchitectureModelFamily
│   ├── IOSCSIParallelFamily
│   ├── IOSerialFamily
│   ├── IOStorageFamily
│   ├── IOUSBFamily
│   ├── IOUSBMassStorageClass
│   ├── IPFirewall
│   ├── JBoss
│   ├── JavaScriptCore
│   ├── JavaScriptGlue
│   ├── Kerberos
│   ├── KerberosHelper
│   ├── KerberosLibraries
│   ├── KeyLargoATA
│   ├── Libc
│   ├── Libcompat
│   ├── Libcpp_kext
│   ├── Libcurses
│   ├── Libinfo
│   ├── Libkvm
│   ├── Libm
│   ├── Libnotify
│   ├── Librpcsvc
│   ├── Libstreams
│   ├── Libsystem
│   ├── Libwrappers
│   ├── Liby
│   ├── MITKerberosShim
│   ├── MySQL
│   ├── NFS
│   ├── NKEMgr
│   ├── OpenAL
│   ├── OpenBSM
│   ├── OpenDirectory
│   ├── OpenLDAP
│   ├── OpenPAM
│   ├── OpenSSH
│   ├── OpenSSL
│   ├── OpenSSL096
│   ├── OpenSSL097
│   ├── OpenSSL098
│   ├── PostgreSQL
│   ├── PowerManagement
│   ├── PyRSS2Gen
│   ├── QuickTimeStreamingServer
│   ├── RubyCocoa
│   ├── RubyGems
│   ├── RubyOnRails
│   ├── SCSIHeaderInstaller
│   ├── SULongDoubleCompat
│   ├── Security
│   ├── SecurityNssAsn1
│   ├── SecurityNssPkcs12
│   ├── SecurityNssSmime
│   ├── SecurityTokend
│   ├── SecurityTool
│   ├── SharedIP
│   ├── SmartCardServices
│   ├── SmartcardCCID
│   ├── SpamAssassin
│   ├── SquirrelMail
│   ├── Startup
│   ├── SystemKEXT
│   ├── SystemStubs
│   ├── TargetConfig
│   ├── TimeZoneData
│   ├── Tokend
│   ├── Twisted
│   ├── TwistedWords
│   ├── TwistedXish
│   ├── UserNotification
│   ├── WTF
│   ├── WTFEmbedded
│   ├── WebCore
│   ├── WebInspectorUI
│   ├── WebKit
│   ├── WebKit2
│   ├── WebmailServer
│   ├── X11
│   ├── X11ForMacOSXSource
│   ├── X11apps
│   ├── X11fonts
│   ├── X11libs
│   ├── X11misc
│   ├── X11proto
│   ├── X11server
│   ├── adv_cmds
│   ├── am_utils
│   ├── amavisd
│   ├── apache
│   ├── apache1
│   ├── apache2
│   ├── apache_mod_bonjour
│   ├── apache_mod_bw
│   ├── apache_mod_dav
│   ├── apache_mod_encoding2
│   ├── apache_mod_fastcgi
│   ├── apache_mod_hfs_apple
│   ├── apache_mod_jk
│   ├── apache_mod_perl
│   ├── apache_mod_perl1
│   ├── apache_mod_php
│   ├── apache_mod_php4
│   ├── apache_mod_python
│   ├── apache_mod_rendezvous_apple
│   ├── apache_mod_ssl
│   ├── apache_mod_xsendfile
│   ├── apr
│   ├── architecture
│   ├── at_cmds
│   ├── autoconf
│   ├── autofs
│   ├── automake
│   ├── automount
│   ├── awk
│   ├── bash
│   ├── basic_cmds
│   ├── bc
│   ├── bind9
│   ├── binutils
│   ├── bison
│   ├── bison1
│   ├── bless
│   ├── blojsom
│   ├── bmalloc
│   ├── boot
│   ├── bootp
│   ├── bootstrap_cmds
│   ├── bsdmake
│   ├── bsdmanpages
│   ├── bsm
│   ├── bzip2
│   ├── cc
│   ├── cctools
│   ├── cddafs
│   ├── clamav
│   ├── clang
│   ├── configd
│   ├── configd_plugins
│   ├── copyfile
│   ├── coreTLS
│   ├── cron
│   ├── crontabs
│   ├── cscope
│   ├── cups
│   ├── curl
│   ├── cvs
│   ├── cvs_wrapped
│   ├── cxxfilt
│   ├── dcerpc
│   ├── developer_cmds
│   ├── diffstat
│   ├── diskdev_cmds
│   ├── disklabel
│   ├── distcc
│   ├── doc_cmds
│   ├── dovecot
│   ├── drvAppleCMD646Root
│   ├── dtrace
│   ├── dyld
│   ├── eap8021x
│   ├── efax
│   ├── emacs
│   ├── enscript
│   ├── expat
│   ├── expect
│   ├── extenTools
│   ├── fetchmail
│   ├── file
│   ├── file_cmds
│   ├── files
│   ├── flex
│   ├── freeradius
│   ├── gas
│   ├── gcc
│   ├── gcc3
│   ├── gcc_40
│   ├── gcc_42
│   ├── gcc_binary_shlibs
│   ├── gcc_jaguar
│   ├── gcc_legacy
│   ├── gcc_os
│   ├── gcc_os_35
│   ├── gcc_select
│   ├── gccfast
│   ├── gdb
│   ├── gdbforcw
│   ├── gimp_print
│   ├── glibtool
│   ├── gm4
│   ├── gnudiff
│   ├── gnumake
│   ├── gnuserv
│   ├── gnutar
│   ├── gnuzip
│   ├── gpatch
│   ├── gperf
│   ├── gpt
│   ├── graphviz
│   ├── grep
│   ├── groff
│   ├── gssd
│   ├── gutenprint
│   ├── headerdoc
│   ├── hfs
│   ├── hunspell
│   ├── index.html
│   ├── initng
│   ├── iodbc
│   ├── ipsec
│   ├── ipv6configuration
│   ├── isoutil
│   ├── jam
│   ├── kext_tools
│   ├── keymaps
│   ├── keymgr
│   ├── ksh
│   ├── ld64
│   ├── less
│   ├── libarchive
│   ├── libauto
│   ├── libclosure
│   ├── libcpp
│   ├── libcppabi
│   ├── libdispatch
│   ├── libedit
│   ├── libevent
│   ├── libffi
│   ├── libfs
│   ├── libgcc
│   ├── libiconv
│   ├── libmalloc
│   ├── libmd
│   ├── libpcap
│   ├── libplatform
│   ├── libpthread
│   ├── libresolv
│   ├── libsecurity_agent
│   ├── libsecurity_apple_csp
│   ├── libsecurity_apple_cspdl
│   ├── libsecurity_apple_file_dl
│   ├── libsecurity_apple_x509_cl
│   ├── libsecurity_apple_x509_tp
│   ├── libsecurity_asn1
│   ├── libsecurity_authorization
│   ├── libsecurity_cdsa_client
│   ├── libsecurity_cdsa_plugin
│   ├── libsecurity_cdsa_utilities
│   ├── libsecurity_cdsa_utils
│   ├── libsecurity_checkpw
│   ├── libsecurity_cms
│   ├── libsecurity_codesigning
│   ├── libsecurity_cssm
│   ├── libsecurity_dotmacdl
│   ├── libsecurity_filedb
│   ├── libsecurity_filevault
│   ├── libsecurity_keychain
│   ├── libsecurity_ldap_dl
│   ├── libsecurity_manifest
│   ├── libsecurity_mds
│   ├── libsecurity_ocspd
│   ├── libsecurity_pkcs12
│   ├── libsecurity_sd_cspdl
│   ├── libsecurity_smime
│   ├── libsecurity_ssl
│   ├── libsecurity_utilities
│   ├── libsecurityd
│   ├── libstdcxx
│   ├── libstdcxx_40
│   ├── libstdcxx_SUPanWheat
│   ├── libtelnet
│   ├── libunwind
│   ├── libutil
│   ├── libxml2
│   ├── libxslt
│   ├── lldb
│   ├── llvmCore
│   ├── llvmgcc42
│   ├── lsof
│   ├── lukemftp
│   ├── lukemftpd
│   ├── m4
│   ├── mDNSResponder
│   ├── mail_cmds
│   ├── mailman
│   ├── man
│   ├── memberd
│   ├── memcached
│   ├── misc_cmds
│   ├── modemccl
│   ├── msdosfs
│   ├── nano
│   ├── nasm
│   ├── ncftp
│   ├── ncurses
│   ├── neon
│   ├── net_snmp
│   ├── netcat
│   ├── netinfo
│   ├── network_cmds
│   ├── notify
│   ├── ntfs
│   ├── ntp
│   ├── objc4
│   ├── old_ncurses
│   ├── openmpi
│   ├── pam
│   ├── pam_modules
│   ├── passwordserver_sasl
│   ├── patch_cmds
│   ├── pb_makefiles
│   ├── pbx_jamfiles
│   ├── pcre
│   ├── pdisk
│   ├── perl
│   ├── portmap
│   ├── postfix
│   ├── ppp
│   ├── prebind
│   ├── procmail
│   ├── project_makefiles
│   ├── pyOpenSSL
│   ├── pyobjc
│   ├── python
│   ├── python23
│   ├── python_dateutil
│   ├── python_modules
│   ├── rcs
│   ├── remote_cmds
│   ├── removefile
│   ├── rsync
│   ├── ruby
│   ├── ruby_dnssd
│   ├── ruby_libxml
│   ├── samba
│   ├── screen
│   ├── security_authtrampoline
│   ├── security_certificates
│   ├── security_certtool
│   ├── security_crlrefresh
│   ├── security_dotmac_tp
│   ├── security_ocspd
│   ├── security_privportserver
│   ├── security_systemkeychain
│   ├── securityd
│   ├── sendmail
│   ├── shell_cmds
│   ├── smb
│   ├── srm
│   ├── stmalloc
│   ├── subversion
│   ├── sudo
│   ├── svk
│   ├── swig
│   ├── syslog
│   ├── system_cmds
│   ├── system_config
│   ├── tcl
│   ├── tcp_wrappers
│   ├── tcpdump
│   ├── tcsh
│   ├── texi2html
│   ├── texinfo
│   ├── text_cmds
│   ├── tidy
│   ├── top
│   ├── usertemplate
│   ├── usrtemplate
│   ├── uucp
│   ├── vi
│   ├── vim
│   ├── volfs
│   ├── webdavfs
│   ├── wget
│   ├── wxWidgets
│   ├── xar
│   ├── xelf
│   ├── xinetd
│   ├── xnu
│   ├── yacc
│   ├── zfs
│   ├── zip
│   ├── zlib
│   ├── zlibold
│   └── zsh
```
**More tools to view [mkBox](https://github.com/mythkiven/mkBox)**

